Bug 1834821 (CVE-2020-12769) - CVE-2020-12769 kernel: DoS via concurrent calls to dw_spi_irq and dw_spi_transfer_one functions in drivers/spi/spi-dw.c
Summary: CVE-2020-12769 kernel: DoS via concurrent calls to dw_spi_irq and dw_spi_tran...
Keywords:
Status: NEW
Alias: CVE-2020-12769
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1834824 1835727
Blocks: 1834825
TreeView+ depends on / blocked
 
Reported: 2020-05-12 13:41 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-03-23 23:39 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. A kernel panic can occur when concurrent calls to dw_spi_irq and dw_spi_transfer_one are made. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-05-12 13:41:47 UTC
An issue was discovered in the Linux kernel before 5.4.17. drivers/spi/spi-dw.c allows attackers to cause a panic via concurrent calls to dw_spi_irq and dw_spi_transfer_one.

Reference and upstream commit:
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.4.17
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=19b61392c5a852b4e8a0bf35aecb969983c5932d

Comment 1 Guilherme de Almeida Suckevicz 2020-05-12 13:44:24 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1834824]

Comment 2 Justin M. Forbes 2020-05-12 19:38:15 UTC
This was fixed for Fedora with the 5.4.17 stable kernel update.

Comment 3 Petr Matousek 2020-05-14 11:53:30 UTC
Statement:

This issue is rated as having Low impact because of the preconditions needed to trigger the issue.

Comment 4 Petr Matousek 2020-05-14 11:53:38 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.


Note You need to log in before you can comment on or make changes to this bug.